List backups
curl --request GET \
--url https://console.cloudblast.io/api/v2/servers/{server}/backups \
--header 'Authorization: Bearer <token>'import requests
url = "https://console.cloudblast.io/api/v2/servers/{server}/backups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://console.cloudblast.io/api/v2/servers/{server}/backups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"uuid": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"name": "Daily backup",
"is_successful": true,
"is_locked": false,
"size": 2147483648,
"completed_at": "2026-01-15T10:35:00+00:00",
"created_at": "2026-01-15T10:30:00+00:00"
}
],
"meta": {
"current_page": 1,
"last_page": 3,
"per_page": 25,
"total": 72
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "Missing or invalid Authorization header. Use: Authorization: Bearer <token>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Server not found."
}
}Backups
List Backups
Returns a paginated list of backups for a server.
GET
/
servers
/
{server}
/
backups
List backups
Authorizations
API token from your CloudBlast account settings. Pass as Authorization: Bearer <token>.
Path Parameters
Server identifier — any of: numeric id, uuid_short (8 chars), or full uuid (36 chars).
Query Parameters
Page number for pagination
⌘I